/* ##############################################################
	설  명 : [Modal]고객 신체기록 등록 팝업
	작성일 : 2024. 03. 14.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2024. 03. 14.	NTsoft 	 최초 생성
*/
let regHeight      = /^\d{1,3}(?:\.\d)?$/; // 키: 최대 3자리 숫자, 소수점 한 자리 허용
let regWeight      = /^\d{1,3}(?:\.\d)?$/; // 몸무게: 최대 3자리 숫자
let regMuscleMass  = /^\d{1,3}(?:\.\d)?$/; // 골격근량: 최대 3자리 숫자, 소수점 한 자리 허용
let regFatMass     = /^\d{1,3}(?:\.\d)?$/; // 체지방량: 최대 3자리 숫자, 소수점 한 자리 허용
let regFatPercent  = /^\d{1,2}(?:\.\d)?$/; // 체지방률: 최대 2자리 숫자, 소수점 한 자리 허용
let regBmi         = /^\d{1,2}(?:\.\d)?$/; // BMI: 최대 2자리 숫자, 소수점 한 자리 허용

let	userOriginalChartSelectModal = {
    callback : null,
    reqParam : null,
    dataList : null,
    /* 모달 초기화 작업 */
    init : function () {
        $('#userOriginalChartSelectModal').remove();
        $('body').append(this.HtmlTemplate);
        //그리드 이벤트
        this.setEvent();
    },
    /* 그리드 이벤트 설정 */
    setEvent:function() {
        $('#userOriginalChartSelectModal .btnCancle').on("click", function(){
            userOriginalChartSelectModal.close();
        });
    },
    search : function () {

		let pId = userOriginalChartSelectModal.reqParam.pId;

		if(true != fn_emptyCheck(pId)){
			modalEvent.warning("조회", "고객 정보가 없습니다.");
			return;
		}

	    let formData = new FormData();
	    formData.append("menuClass", menuClass);
	    formData.append("pId", pId);

	    $.ajax({
	        url: encodeURI('/webuseroriginalchart/selectUserOriginalChart.do'),
	        data: formData,
	        dataType: "json",
	        processData: false,
	        contentType: false,
	        type: 'POST',
	        async: true,
	        success: function (data) {
	            if (data.msgCode === '0') {
					// divi1 : 상담
					// divi2 : 동의서
					// divi3 : 문진표
					// divi4 : 피부
					// divi5 : 쁘띠
					// divi6 : 비만
					// divi7 : 제모
					// divi8 : 웰빙

					$("#userOriginalChartSelectModal #chartDivi").text(data.rows[0].chartDivi);
					$("#userOriginalChartSelectModal #writeDate").text(data.rows[0].writeDate);
					$("#userOriginalChartSelectModal #userName").text(data.rows[0].userName);
					$("#userOriginalChartSelectModal #crmDocName").text(data.rows[0].crmDocName);
					$("#userOriginalChartSelectModal #crmStaffName").text(data.rows[0].crmStaffName);
					$("#userOriginalChartSelectModal #picName").text(data.rows[0].picName);
					$("#userOriginalChartSelectModal #picFile").text(data.rows[0].picFile);
					$("#userOriginalChartSelectModal #picTitle").text(data.rows[0].picTitle);
					$("#userOriginalChartSelectModal #date02").text(data.rows[0].date02);
					$("#userOriginalChartSelectModal #surgeryDate").text(data.rows[0].surgeryDate);
					$("#userOriginalChartSelectModal #medicalDivi").text(data.rows[0].medicalDivi);
					$("#userOriginalChartSelectModal #surgeryMsg").text(data.rows[0].surgeryMsg);
					$("#userOriginalChartSelectModal #chartMsg01").html(data.rows[0].chartMsg01);
					$("#userOriginalChartSelectModal #chartMsg03").html(data.rows[0].chartMsg03);

					let chartDivi = data.rows[0].chartDivi;

					if("상담" == chartDivi){
						$(".divi1").show();
					}else if("동의서" == chartDivi){
						$(".divi2").show();
						$(".chartMsgBox").hide();
					}else if("문진표" == chartDivi){
						$(".divi3").show();
						$(".chartMsgBox").hide();
					}else if("피부" == chartDivi){
						$(".divi4").show();
					}else if("쁘띠" == chartDivi){
						$(".divi5").show();
					}else if("비만" == chartDivi){
						$(".divi6").show();
					}else if("제모" == chartDivi){
						$(".divi7").show();
					}else if("웰빙" == chartDivi){
						$(".divi8").show();
					}

	            } else {
	                modalEvent.danger("조회 오류", data.msgDesc);
	            }

	        },
	        error: function (xhr, status, error) {
	            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
	        },
	        beforeSend: function () {
	        },
	        complete: function () {
	        }
	    });
	},
    /*
     * 팝업
     * callback : 콜백함수, reqParam: 팝업파라미터
     */
    popup:function(callback, reqParam) {
        // 초기화 후 열기
        userOriginalChartSelectModal.init();

        //콜백함수 지정.
        userOriginalChartSelectModal.callback = callback;
        userOriginalChartSelectModal.reqParam = reqParam;
        userOriginalChartSelectModal.dataList = null;

        setTimeout(function(){
            $('#userOriginalChartSelectModal').modal({keyboard:false, backdrop:'static'});
        }, 200);

		userOriginalChartSelectModal.search();
    },
    /*
     * 팝업 닫기
     */
    close:function() {
        $('#userOriginalChartSelectModal').modal('hide');

		setTimeout(function(){
			$('#userOriginalChartSelectModal').remove();
		},500);
    },
    HtmlTemplate :
       `<div class="modal original_chart fade" id="userOriginalChartSelectModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <p class="title" id="chartDivi"></p>
                    </div>

                    <div class="modal-body">
                        <div class="form_box">
                        	<!--<ul class="chartUlBox">
                        		<li class="first">
                                    <p>상담일자</p>
                                    <p id="writeDate">-</p>
                                </li>
							</ul>-->
							
                        	<ul class="chartUlBox">
                        		<li class="first">
                                    <p>상담일자</p>
                                    <p id="writeDate">-</p>
                                </li>
                        		<li>
                                    <p>고객명</p>
                                    <p id="userName">-</p>
                                </li>
                                <li>
                                    <p>담당의사</p>
                                    <p id="crmDocName">-</p>
                                </li>
                                <li>
                                    <p>담당직원</p>
                                    <p id="crmStaffName">-</p>
                                </li>
							</ul>
							
                        	<ul class="chartUlBox">
                        		<li class="divi5" style="display:none;">
                                    <p>수술일자</p>
                                    <p id="surgeryDate">-</p>
                                </li>
                                <li class="divi5" style="display:none;">
                                    <p>진료유형</p>
                                    <p id="medicalDivi">-</p>
                                </li>
                                <li class="divi5" style="display:none;">
                                    <p>수술내용</p>
                                    <p id="surgeryMsg">-</p>
                                </li>
							</ul>
                        
                            <ul class="chartUlBox">
                            	<li class="divi4 divi5 divi6 divi7 divi8" style="display:none;">
                                    <p>다음아웃콜</p>
                                    <p id="date02">-</p>
                                </li>
                                <li class="divi2 divi3 divi4 divi6 divi7 divi8" style="display:none;">
                                    <p>제목</p>
                                    <p id="picTitle">-</p>
                                </li>
                                <li class="divi2 divi3 divi4 divi6 divi7 divi8" style="display:none;">
                                    <p>종류</p>
                                    <p id="picName">-</p>
                                </li>
                                <li class="divi2 divi3" style="display:none;">
                                    <p>파일</p>
                                    <p id="picFile">-</p>
                                </li>
                            </ul>
                            
                            <div class="chartMsgBox">
                            	<div id="chartMsg01" class="detail divi1 divi4 divi5 divi6 divi7 divi8" style="display:none;">
								
								</div>
								
								<div id="chartMsg03" class="detail divi1 divi4" style="display:none;">
								
								</div>
							</div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <div class="btn_box">
                            <button type="button" class="cancel_btn btnCancle">취소</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>`
};


